Redmine - Feature #21125

Removing attachment after rollback transaction
2015-11-01 14:59 - lvan Zabrovskiy

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Attachments Estimated time: 0.00 hour
Target version: 3.3.0

Resolution: Fixed

Description

| want to extend my previous issue #20388 about transaction in Attachment. There is second case, then we can have a problem. We
can save file on disk, but rollback a transaction with creation of Attachment record. In this case we obtain ghost files without link with

Attachment. In long term it leads to pollution of file storage.
| fix this situation on one of my plugin by follows way:

after_rollback :delete_from_disk, on: :create

Hope, this can be useful for Redmine.

Associated revisions

Revision 15085 - 2016-01-21 06:38 - Jean-Philippe Lang

Removes attachment from disk after rollback on create (#21125).

History

#1 - 2015-11-29 06:52 - Toshi MARUYAMA

- Target version set to 3.3.0

#2 - 2016-01-21 06:39 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed with tests in r15085, thanks.
https://www.redmine.org/issues/20388
https://github.com/Loriowar/redmine_conceptual_attachments/blob/master/lib/redmine_conceptual_attachments/attachment_patch.rb#L10
https://www.redmine.org/projects/redmine/repository/svn/revisions/15085
http://www.tcpdf.org

